"""
	Licensed Materials - Property of IBM Corp. 
IBM Middleware Configuration for WebSphere 
(c) Copyright IBM Corporation 2003, 2013. All Rights Reserved.   

U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by 
GSA ADP Schedule Contract with IBM Corp. 

	
	File name: createEmptyBLA.py
	
	TODO: description
"""

import sys

def createEmptyBLA ( blaName, blaDescription ):

	global AdminTask
        
	if (checkIfBLAExists(blaName )=="false"):

		if blaDescription is None:
			blaDescription = ""
					
		params = ['-name', blaName, '-description', blaDescription]
		bla = AdminTask.createEmptyBLA(params)
		AdminConfig.save()
		AdminHelper.saveAndSyncCell()
			
		# check if we were successful
		if (checkIfBLAExists ( blaName )=="false"):
			print "failed to create BLA="+blaName
		#endIf 
	   
	else:
		print "BLA "+blaName+" already exist!"
	#endElse 


#endDef 

def checkIfBLAExists ( blaName ):
        global AdminTask
        blaExists = "true"
        
        blas = AdminTask.listBLAs(['-blaID', blaName])
        if (len(blas) == 0):
                blaExists = "false"
        #endIf 
        return blaExists
#endDef 

optDict, args = SystemUtils.getopt( sys.argv, 'blaName:;blaDescription:;mode:' )

blaName = optDict['blaName']
blaDescription = optDict['blaDescription']

createEmptyBLA( blaName, blaDescription )



