"""
	Licensed Materials - Property of IBM Corp. 
IBM Middleware Configuration for WebSphere 
(c) Copyright IBM Corporation 2003, 2013. All Rights Reserved.   

U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by 
GSA ADP Schedule Contract with IBM Corp. 

	
	File name: deleteCompUnit.py
	
	TODO: description
"""

import sys

def deleteCompUnit ( blaName, cuName ):
	
		global AdminTask
		global AdminConfig
		
		if (checkIfBLAExists(blaName)=="true"):
			cus = AdminTask.listCompUnits(['-blaID', blaName])
			
			if (cus.find(cuName) < 0):
				print "CompUnit " + cuName + " doesn't exist!"
			else:

				params = ['-blaID', blaName, '-cuID', cuName]
				AdminTask.deleteCompUnit(params)
				AdminConfig.save()
				AdminHelper.saveAndSyncCell()
                
			#endElse          
		else:
				print "BLA "+blaName+" doesn't exist!"
		#endElse 


	
#endDef 

def checkIfBLAExists ( blaName ):
        global AdminTask
        blaExists = "true"
        
        blas = AdminTask.listBLAs(['-blaID', blaName])
        if (len(blas) == 0):
                blaExists = "false"
        #endIf 
        return blaExists
#endDef 


optDict, args = SystemUtils.getopt( sys.argv, 'blaName:;cuName:;mode:')
blaName = optDict['blaName']
cuName = optDict['cuName']
 
deleteCompUnit( blaName, cuName)



