'''
Licensed Materials - Property of IBM Corp. 
IBM Middleware Configuration for WebSphere 
(c) Copyright IBM Corporation 2003, 2013. All Rights Reserved.   

U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by 
GSA ADP Schedule Contract with IBM Corp. 


@author: Per Bergman
'''
from Logger import _Logger
from com.ibm.rational.rafw.wsadmin.logging import MessageManager

from existingcell.WpsCellProcessor import WpsCellProcessor

'''
    Existing cell extractor for WESB cell.
'''
class WesbCellProcessor(WpsCellProcessor):

    def __init__(self, cellDefinitionReader):
        WpsCellProcessor.__init__(self, cellDefinitionReader)
        self.LOGGER = _Logger("WesbCellProcessor", MessageManager.RB_WEBSPHERE_WAS)
    #endDef
    
#endClass
