@echo off

# Ensure that db2 manager is started.
@WSRR_DB2_HOME@/bin/db2start

@WSRR_DB2_HOME@/bin/db2 -tf createdb.sql
@WSRR_DB2_HOME@/bin/db2 connect to @DBNAME@ user @DBUSER@ using @DBPASSWORD@
@WSRR_DB2_HOME@/bin/db2 set current schema @DBUSER@
@WSRR_DB2_HOME@/bin/db2 -tf PersistentECore.sql
@WSRR_DB2_HOME@/bin/db2 -tf createtables.sql
@WSRR_DB2_HOME@/bin/db2 -tf createsched.sql
@WSRR_DB2_HOME@/bin/db2 -tf createts.sql
@WSRR_DB2_HOME@/bin/db2 -tf createsib.sql
@WSRR_DB2_HOME@/bin/db2 -tf createwsrr.sql
@WSRR_DB2_HOME@/bin/db2 terminate

REM # need to do this to get the bufferpools created...
@WSRR_DB2_HOME@/bin/db2stop
@WSRR_DB2_HOME@/bin/db2start

if ERRORLEVEL 4 goto dberror
echo DB INITIALIZATION WAS SUCCESSFUL
goto end

:dberror
echo DB INITIALIZATION FAILED

:end
