-- The WSRR installer will replace the DBNAME, DBUSER and DB2TSDIR variables in this file

-- Licensed Materials - Property of IBM
-- 5724-N72 5655-R41
-- (c) Copyright IBM Corp. 2006, 2007 All Rights Reserved
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp.

-- actdb -- CREATE DATABASE @ACTDBNAME@ ALIAS @ACTDBNAME@ USING CODESET UTF-8 TERRITORY US COLLATE USING IDENTITY;

CONNECT TO @ACTDBNAME@;

-- actdb -- ALTER TABLESPACE USERSPACE1 PREFETCHSIZE 64;

CREATE BUFFERPOOL @ACTDBNAME@ACT IMMEDIATE SIZE 1000 PAGESIZE 32 K;

CREATE BUFFERPOOL @ACTDBNAME@TMP IMMEDIATE SIZE 1000 PAGESIZE 32 K; 

CREATE REGULAR TABLESPACE @ACTDBNAME@ACT PAGESIZE 32 K  MANAGED BY SYSTEM  USING ('@DB2TSDIR@/@ACTDBNAME@ACT' ) EXTENTSIZE 16 OVERHEAD 10.5 PREFETCHSIZE 16 TRANSFERRATE 0.14 BUFFERPOOL  @ACTDBNAME@ACT  DROPPED TABLE RECOVERY OFF;

CREATE SYSTEM TEMPORARY TABLESPACE @ACTDBNAME@TEMP PAGESIZE 32 K  MANAGED BY DATABASE  USING ( FILE '@DB2TSDIR@/@ACTDBNAME@TEMP' 12800 ) EXTENTSIZE 64 OVERHEAD 10.5 PREFETCHSIZE 64 TRANSFERRATE 0.14 BUFFERPOOL  @ACTDBNAME@TMP ;

COMMENT ON TABLESPACE @ACTDBNAME@TEMP IS '32 page swap';

COMMENT ON TABLESPACE @ACTDBNAME@ACT IS '32 page WSRR Activity Logging Data space';

COMMIT;
CONNECT RESET;
TERMINATE;
