-- The WSRR installer will replace the DBNAME, DBUSER and DB2TSDIR variables in this file

-- Licensed Materials - Property of IBM
-- 5724-N72 5655-R41
-- (c) Copyright IBM Corp. 2006, 2007 All Rights Reserved
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp.

-- AUTOCONFIGURE:
-- ==============
-- DB2 will automatically configure 25% of physical memory for the database
-- and the USERSPACE1 tablespace will automatically be configured to use
-- automatic storage, with an initial size of 500M
CREATE DATABASE @SIBDBNAME@ ON @DB2TSDIR@ ALIAS @SIBDBNAME@ 
       USING CODESET UTF-8 TERRITORY US 
       COLLATE USING IDENTITY
       USER TABLESPACE
         MANAGED BY AUTOMATIC STORAGE
         AUTORESIZE YES
         INITIALSIZE 500 M
         INCREASESIZE 10 PERCENT
         MAXSIZE NONE;

TERMINATE; 
