#!/bin/sh

echo "Dropping database" @DBNAME@
call "@WSRR_DB2_HOME@\bin\db2cmd.exe" /i /c /w "db2 drop database @DBNAME@"
if not %ERRORLEVEL%==0 goto error_exit

if "@SIBDBNAME@" != "@DBNAME@" (
	echo "Dropping database" @SIBDBNAME@
	call "@WSRR_DB2_HOME@\bin\db2cmd.exe" /i /c /w "db2 drop database @SIBDBNAME@"
	if not %ERRORLEVEL%==0 goto error_exit
)

if "@ACTDBNAME@" != "@DBNAME@" (
	echo "Dropping database" @ACTDBNAME@
	call "@WSRR_DB2_HOME@\bin\db2cmd.exe" /i /c /w "db2 drop database @ACTDBNAME@"
	if not %ERRORLEVEL%==0 goto error_exit
)

goto exit

:error_exit
    echo DATABASE DROP FAILED
    echo Please check error messages above.
    exit /B 1
    goto exit
    	
:exit
    echo DATABASE CONFIGURATION COMPLETE
    exit /B 0