#!/bin/sh
###
#	Licensed Materials - Property of IBM Corp.
#	@PLUGIN_NAME@
#	(c) Copyright IBM Corporation 2003, 2013. All Rights Reserved.
#	
#	U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by
#	GSA ADP Schedule Contract with IBM Corp.
#	
#	Filename: genAMCTemplate.sh
#	
#	
###

# source the shared lib for JAVA_HOME and CLASSPATH variables
d=`dirname "$0"`
d="$d/setupCmdLine.sh"
. "$d"

componentDir=$( pwd )

## wrap all args in a " since the shell will remove quotes
escArgs=""
while [ $# -gt 0 ]
do
   escArgs="$escArgs \"$1\""
   shift
done
	
${JAVA_HOME}/bin/java "-Djava.class.path=${CLASSPATH}" "-Dfile.encoding=UTF8" "-Dpython.path=${PYTHONPATH}" "-DRAFW_HOME=${MCWAS_HOME}" "-Djava.util.logging.config.class=com.ibm.rational.rafw.wsadmin.logging.FrameworkLogManagerInitializer" com.ibm.rational.deploy.template.generator.CommandLineDeployTemplateGenerator ${workFile} ${componentDir} ${escArgs}

exit $?
