"""
	Licensed Materials - Property of IBM Corp. 
IBM Middleware Configuration for WebSphere 
(c) Copyright IBM Corporation 2003, 2013. All Rights Reserved.   

U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by 
GSA ADP Schedule Contract with IBM Corp. 

	
	File name: exportApp.py
	
	TODO: description
"""


import sys
from Logger import _Logger
from com.ibm.rational.rafw.wsadmin.logging import MessageManager

LOGGER = _Logger("exportApp", MessageManager.RB_WEBSPHERE_WVE)

def exportApp ( appName, appsHome ):

	# read available installable apps
	global AdminApp
	global AdminConfig

	# check if the app exists
	appExists = WasDeploy.checkIfAppExists(appName )
	appFile = appsHome + "/media/" + appName + ".ear"
	#print " Exporting "+appName+" to "+appFile+"."
	LOGGER.log("CRWWA5051I", [appName, appFile])

	if (appExists):
		# update the app
		AdminApp.export(appName, appFile )
	else:
		# install the apps
		##print "Warning: "+appName+" doesn't exist in the current config."
		LOGGER("CRWWA2100W", [appName])
	#endElse 
#endDef 

appName = sys.argv[0]
appsHome = sys.argv[1]

exportApp(appName, appsHome )
AdminConfig.save( )
