"""
	Licensed Materials - Property of IBM Corp. 
IBM Middleware Configuration for WebSphere 
(c) Copyright IBM Corporation 2003, 2013. All Rights Reserved.   

U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by 
GSA ADP Schedule Contract with IBM Corp. 

	
	File name: isCellManaged.py
	
	TODO: description
"""

import sys
from org.python import modules
from sys import argv
from java.util import Properties
from java.util import Hashtable
from java.io import FileOutputStream

arglen=len(sys.argv)
num_exp_args=2 
usage="[fully qualified path of property file to output] [key]"  
if (arglen != num_exp_args):
	raise ("Usage: %s" % (usage))

outputFile=argv[0]
key=argv[1]

#Create properties file.
properties=Properties();

#get the cell
cell=AdminConfig.list('Cell')
cellType=AdminConfig.showAttribute(cell,'cellType')

print "cellType=%s" % (cellType)

if cellType == "STANDALONE":
	ret="false"
elif cellType == "DISTRIBUTED":
	ret="true"
else:
	raise "Cannot determine whether cell is managed"

properties.setProperty(key,ret)

#Write properties file
fileOutputStream=FileOutputStream(outputFile)
try:
	properties.store(fileOutputStream,"Determining if cell is managed");
	print "Succesfully wrote output to property file %s with key %s" % (outputFile,key)
except:
	raise ("Cannot write property file to %s" % (outputFile))

